
eXtplorer - PHP-based File Manager - Fehler #151

How to setup to make it support Chinese 

01/09/2014 06:30 AM - Gipors Lee

Status: Neu   

Priority: Normal   

Assignee:    

Category: Bug   

Target version: 2.1.6   

eXtplorer Version: 2.1.4 Joomla! Version: Joomla! 3.1

Description

History

#1 - 01/09/2014 06:33 AM - Gipors Lee

- File QQ截图20140109130614.jpg added

I'm using it as a single file manager.I like the UI, but there is a problem. When there is a file wiht file name of Chinese, it can not display the Chinese,

even if I using the Chinese lang. How can I fix it? I'm using the 2.1.5

#2 - 04/03/2014 05:10 PM - Botu Sun

- File list.php added

Hi,

I've also encountered problem like yours.

I looked into the //include/list.php and found file names are encoded in utf-8 with

  utf8_encode($item)

with is unnecessary since they were already in utf-8 when read from the file system.

So just replace every "utf8_encode($item)" with just "$item" and all characters are well displayed!    

Botu

#3 - 04/07/2014 08:41 AM - Sören Eberhardt-Biermann

- Category set to Bug

- Target version set to 2.1.6

This will be fixed in version 2.1.6

Files

QQ截图20140109130614.jpg 36.7 KB 01/09/2014 Gipors Lee

list.php 12.2 KB 04/03/2014 Botu Sun
